Bug 122045 - Apply button doesn't change the document to modified
Summary: Apply button doesn't change the document to modified
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: ModifiedStatus
  Show dependency treegraph
 
Reported: 2018-12-12 15:57 UTC by Xisco Faulí
Modified: 2020-12-14 23:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-12-12 15:57:58 UTC
STR:
1. Open Writer
2. Go to Format - Page - Area
3. Select any color/gradient/bitmap/etc and click Apply
4. Close the dialog clicking Cancel
5. Close the current document

-> The document is closed without asking if I want to save it

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 3911bf8364dae4c855ad37237c114f9007f70657
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

but not

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)
Comment 1 Durgapriyanka 2018-12-12 17:06:11 UTC
Thank you for reporting the bug. I can confirm that the bug is present in 

Version: 6.1.3.2
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: group threaded
Comment 2 Aron Budea 2018-12-13 03:32:06 UTC
Bibisected to the following commit using repo bibisect-win32-5.1. adding Cc: to Michael Stahl please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5adc8ee343e5c32d30095bc4005b7b022016b745
author		Michael Stahl <mstahl@redhat.com>	2015-09-07 21:52:49 +0200
committer	Michael Stahl <mstahl@redhat.com>	2015-09-07 22:00:27 +0200

sw: fix newly created document being modified
Comment 3 QA Administrators 2020-12-13 03:46:27 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2020-12-14 09:50:13 UTC
Still reproducible in

Version: 7.2.0.0.alpha0+
Build ID: 9a2a4bc5ed340ba187c8e27db5c8477c990c93af
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, I thought you might be interested in this issue
Comment 5 Caolán McNamara 2020-12-14 11:15:57 UTC
I wonder if this really went wrong at...

commit e6e125946358865990ea999c8a4845ec84eb7088
Date:   Wed Jan 17 12:42:42 2018 +0100

    lokdialog: Convert the Format -> Page... dialog to async exec.
    
    This actually also converts the Style -> Edit Style... at the same time.
Comment 6 Commit Notification 2020-12-14 19:16:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c971773afe0852ccdee0267cfad953359c0039be

tdf#122045 using 'Apply' doesn't keep document modified on later 'Cancel'

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-12-14 19:17:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/ccd89a02f8b5f0e7c542353c5bf0a774dbf781d2

tdf#122045 using 'Apply' doesn't keep document modified on later 'Cancel'

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2020-12-14 19:21:44 UTC
that seems to solve the problem, just backported as far as 7-1
Comment 9 Commit Notification 2020-12-14 23:38:14 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d9ccee2231a8d8984302e1b2f578bf73b4d60c35

tdf#122045: sw: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.